Overview | Package | Class | Use | Tree | Deprecated | Index | Help
|  | BEA Systems, Inc.
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

WebLogic Server 6.0sp2 API Reference

## weblogic.apache.xerces.readers
Interface DefaultEntityHandler.EventHandler

All Known Implementing Classes:
  XMLValidator

public static interface DefaultEntityHandler.EventHandler

Author:
  Copyright © 2001 BEA Systems, Inc. All Rights Reserved.

Method Summary
`void` | `endEntityReference(int entityName, int entityType, int entityContext)`
`boolean` | `externalEntityStandaloneCheck()`
`boolean` | `getValidating()`
`void` | `sendEndOfInputNotifications(int entityName, boolean moreToFollow)`
`void` | `sendReaderChangeNotifications(XMLEntityHandler.EntityReader reader, int readerId)`
`void` | `startEntityReference(int entityName, int entityType, int entityContext)`

Method Detail

### startEntityReference

    public void startEntityReference(int entityName,
                                     int entityType,
                                     int entityContext)
                              throws java.lang.Exception

### endEntityReference

    public void endEntityReference(int entityName,
                                   int entityType,
                                   int entityContext)
                            throws java.lang.Exception

### sendEndOfInputNotifications

    public void sendEndOfInputNotifications(int entityName,
                                            boolean moreToFollow)
                                     throws java.lang.Exception

### sendReaderChangeNotifications

    public void sendReaderChangeNotifications(XMLEntityHandler.EntityReader reader,
                                              int readerId)
                                       throws java.lang.Exception

### externalEntityStandaloneCheck

    public boolean externalEntityStandaloneCheck()

### getValidating

    public boolean getValidating()

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| Documentation is available at http://e-docs.bea.com/wls/docs60
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD